Package com.saxonica.ee.schema

## Class IdentitySelector

- java.lang.Object
- - com.saxonica.ee.schema.SchemaStructure
  - - com.saxonica.ee.schema.FieldOrSelector
    - - com.saxonica.ee.schema.IdentitySelector

- All Implemented Interfaces:
    `javax.xml.transform.SourceLocator`, `Location`, `org.xml.sax.Locator`

      public class IdentitySelector
      extends FieldOrSelector

  The selector of an IdentityConstraint

- - ### Field Summary

    - ### Fields inherited from class com.saxonica.ee.schema.FieldOrSelector

      `selectExpression`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IdentitySelector​(java.lang.String xpath)` | Create a new IdentitySelector.

  - ### Method Summary

    - ### Methods inherited from class com.saxonica.ee.schema.FieldOrSelector

      `getNamespaceContext, getSelectExpression, getSelection, getXPath, getXPathDefaultNamespace, setNamespaceContext, setSelectExpression, setSelection, setXPath, setXPathDefaultNamespace`

    - ### Methods inherited from class com.saxonica.ee.schema.SchemaStructure

      `elaborate, fixup, getColumnNumber, getConfiguration, getFixupStatus, getGeneratedId, getLineNumber, getPublicId, getRedefinitionLevel, getSchemaDocumentURI, getSystemId, getValidationStatus, hasSameLocation, isValidationNeeded, lookForCycles, makeXPathExpressionPropertyRecord, saveLocation, setConfiguration, setFixupStatus, setGeneratedId, setLineNumber, setLocator, setRedefinitionLevel, setSchemaDocumentURI, setSystemId, setValidationStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IdentitySelector

          public IdentitySelector​(java.lang.String xpath)
                           throws SchemaException

      Create a new IdentitySelector.
      Parameters:
        `xpath` - the xpath for the IdentitySelector. Must not be null.
      Throws:
        `SchemaException` - if xpath is null.